/* global phpbb */

(function($) {  // Avoid conflicts with other libraries

'use strict';

var $ADMIN = admin.index,
	icon = $('a.toggle-password i.icon'),
	eye = "fa-eye fa-eye-slash icon-red";

$.extend(phpbb, {
	togglePassword: (iD) => {
		if (iD.prop("type") === "password") {
			iD.prop("type", "text").addClass('toggle-password');	
		} else {
			iD.prop("type", "password").removeClass('toggle-password');
		}
		return this;
	},
	href: (iD, data) => {
		var url = $("<a />", {
			href 	: "#",
			class	: data,
			text	: ""
		})
		.attr(data, "true")
		.html(" <i class='icon fa-eye fa-fw' aria-hidden='true'></i> ");
	
		return $(iD).after(url);
	},	
	names: {
		adminPass	: $ADMIN,
		confirmPass	: 'password_confirm',
		multiPass	: 'password',
		newPass		: 'new_password',		
		ucpCurPass	: 'cur_password',
	},
	buttonClass: {
		adminPass	: 'data-toggle-admin-password',
		confirmPass	: 'data-toggle-password-confirm',
		multiPass	: 'data-toggle-password',
		newPass		: 'data-toggle-new-password',
		ucpCurPass	: 'data-toggle-cur-password',
	}
});

$(window).on('load', function() {
	if ($ADMIN !== 'password' && $ADMIN) {
		phpbb.href($('#' + $ADMIN), phpbb.buttonClass.adminPass);
	}

	phpbb.href($('#password_confirm'), phpbb.buttonClass.confirmPass);
	phpbb.href($('#password'), phpbb.buttonClass.multiPass);
	phpbb.href($('#new_password'), phpbb.buttonClass.newPass);
	phpbb.href($('#cur_password'), phpbb.buttonClass.ucpCurPass);
});

//- Clicky
$(document).on('click', '[' + phpbb.buttonClass.adminPass + '=true]', function(e) {
	e.preventDefault();
  	$('a.data-toggle-admin-password i.icon').toggleClass(eye);
  	phpbb.togglePassword($('input#' + phpbb.names.adminPass));
});

$(document).on('click', '[' + phpbb.buttonClass.confirmPass + '=true]', function(e) {
	e.preventDefault();
  	$('a.data-toggle-password-confirm i.icon').toggleClass(eye);
  	phpbb.togglePassword($('input#' + phpbb.names.confirmPass));
});

$(document).on('click', '[' + phpbb.buttonClass.multiPass + '=true]', function(e) {
	e.preventDefault();
  	$('a.data-toggle-password i.icon').toggleClass(eye);
  	phpbb.togglePassword($('input#' + phpbb.names.multiPass));
});

$(document).on('click',  '[' + phpbb.buttonClass.newPass + '=true]', function(e) {
	e.preventDefault();
  	$('a.data-toggle-new-password i.icon').toggleClass(eye);
  	phpbb.togglePassword($('input#' + phpbb.names.newPass));
});

$(document).on('click',  '[' + phpbb.buttonClass.ucpCurPass + '=true]', function(e) {
	e.preventDefault();
  	$('a.data-toggle-cur-password i.icon').toggleClass(eye);
  	phpbb.togglePassword($('input#' + phpbb.names.ucpCurPass));
});

})(jQuery); // Avoid conflicts with other libraries